#version 150

#moj_import <fog.glsl>

in vec3 Position;
in vec4 Color;
in vec2 UV0;
in ivec2 UV2;

uniform sampler2D Sampler2;

uniform mat4 ModelViewMat;
uniform mat4 ProjMat;
uniform int FogShape;

out float vertexDistance;
out vec4 vertexColor;
out vec2 texCoord0;

void main() {
    vertexDistance = fog_distance(Position, FogShape);
    vertexColor = Color * texelFetch(Sampler2, UV2 / 16, 0);
    texCoord0 = UV0;

    ivec3 iColor = ivec3(Color.xyz * 255 + vec3(0.5));
    if (iColor == ivec3(0, 0, 170) && Position.z == 0) {
        gl_Position = ProjMat * ModelViewMat * (vec4(Position, 1.0) - vec4(79,0,0,0)); // Move Inventory left
        vertexColor.rgb = texelFetch(Sampler2, UV2 / 16, 0).rgb; // Recolor
    } else if (Position.z == 2200.03) {
        gl_Position = ProjMat * ModelViewMat * (vec4(Position, 1.0) + vec4(0,30,0,0)); // Move actionbar down
    } else {
        gl_Position = ProjMat * ModelViewMat * vec4(Position, 1.0);
    }

    if (Position.z == 2200 || Position.z == 2400) {
        gl_Position = vec4(2,2,2,2); // Remove shadow
    }
    if (Position.z == 600)
        {
            gl_Position = vec4(2,2,2,1); // Remove XP level
    }
}
